Subject: How to detect when to report noSuchInstance error?

From: [email-masked] (Frank Fock)
Date: Tue, 05 Sep 2000 00:33:14 +0200

Hi,

While implementing (and testing) AgentX++ I found a point that has
not been discussed in the AgentX specification yet.

When a subagent registers a row of a table (let's say ifEntry.1-22.1)
at the master and a SNMP request for an instance of a non registered
row (e.g., ifIndex.2) comes in, how does the master agent finds out
whether it should return noSuchInstance (which would be correct) or
noSuchObject (which would be wrong)?

Since the master cannot know through the AgentX protocol,
that ifIndex is a multi-instance object, and since it cannot ask
any subagent about ifIndex.2 (because no subagent has registered
for that region) the master agent will have to return a noSuchObject
error.

Has anyone solved this dilemma?

TIA,
Frank